#***************************************************************************
#                                  _   _ ____  _
#  Project                     ___| | | |  _ \| |
#                             / __| | | | |_) | |
#                            | (__| |_| |  _ <| |___
#                             \___|\___/|_| \_\_____|
#
# Copyright (C) 1998 - 2020, Daniel Stenberg, <daniel@haxx.se>, et al.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution. The terms
# are also available at https://curl.haxx.se/docs/copyright.html.
#
# You may opt to use, copy, modify, merge, publish, distribute and/or sell
# copies of the Software, and permit persons to whom the Software is
# furnished to do so, under the terms of the COPYING file.
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
# KIND, either express or implied.
#
###########################################################################

# This should most probably benefit from getting a "Requires:" field added
# dynamically by configure.
#
prefix=/opt/petalinux/2021.2/sysroots/x86_64-petalinux-linux/usr
exec_prefix=/opt/petalinux/2021.2/sysroots/x86_64-petalinux-linux/usr
libdir=/opt/petalinux/2021.2/sysroots/x86_64-petalinux-linux/usr/lib
includedir=/opt/petalinux/2021.2/sysroots/x86_64-petalinux-linux/usr/include
supported_protocols="FILE FTP FTPS HTTP HTTPS"
supported_features="AsynchDNS HTTPS-proxy IPv6 NTLM SSL TLS-SRP UnixSockets libz"

Name: libcurl
URL: https://curl.haxx.se/
Description: Library to transfer files with ftp, http, etc.
Version: 7.72.0
Libs: -L${libdir} -lcurl 
Libs.private: -lssl -lcrypto -lz
Cflags: -I${includedir} 
